--rearrange some rows on C32.02.a and .c
--access checks unique constraints immediately on each record change (apparently so do a lot of DBs), so the swap later won't work with the unique constraint present 
alter table axisordinate
drop constraint AO_AxisId_Order_UK;

update axisordinate
set [ordinatecode] = switch (
		[ordinatelabel]='Foreign Exchange', '0100',
		[ordinatelabel]='Credit', '0110',
		[ordinatelabel]='Equities', '0120',
		[ordinatelabel]='Commodities', '0130'),
	[order] = switch (
		[ordinatelabel]='Foreign Exchange',1100,
		[ordinatelabel]='Credit', 1110,
		[ordinatelabel]='Equities', 1120,
		[ordinatelabel]='Commodities', 1130)
where axisid in (3320,3359)
and ordinatelabel in ('Credit','Equities','Commodities','Foreign Exchange');

alter table axisordinate
add constraint  AO_AxisId_Order_UK
unique (axisid, [order] );