--Correct layout issues with various 2.7 tables

--correct C 66 to be all displaybeforechildren rather than the other way around
update axisordinate 
set displaybeforechildren=True
where axisid in (select axisid from axis where tablevid In (1288,1294,1295,1296,1305,1307));

 -- change C 17.02 ordinates to display before their children (relevant for c0079 header)
UPDATE axisordinate SET DisplayBeforeChildren = TRUE where axisid in (
select axisid from axis where tablevid = 1278);

 -- change C 68.00.a r070  to display above its children
UPDATE axisordinate SET DisplayBeforeChildren = TRUE where ordinateid = 49373; 

 -- change F 19.00.b r201  to display below its children
UPDATE axisordinate SET DisplayBeforeChildren = FALSE where ordinateid = 51678; 
 -- change F 02.00 r630  to display below its children
UPDATE axisordinate SET DisplayBeforeChildren = FALSE where ordinateid = 52580; 
 -- change F 02.00 r670  to display below its children
UPDATE axisordinate SET DisplayBeforeChildren = FALSE where ordinateid = 52587; 

-- move F 14.00 r121 to new parent 009
UPDATE axisordinate SET ParentOrdinateID = 45306, path = '45306.47639.',[level]=2 where ordinateid = 47639;
-- move F 14.00 r125 to new parent 009
UPDATE axisordinate SET ParentOrdinateID = 45306, path = '45306.47643.',[level]=2 where ordinateid = 47643;
-- move F 16.03 r095 to top level to fake being a wrong side child
UPDATE axisordinate SET ParentOrdinateID = NULL, path = '47672.',[level]=1 where ordinateid = 47672;
-- move F 16.05 r071 to top level to fake being a wrong side child
UPDATE axisordinate SET ParentOrdinateID = NULL, path = '47679.',[level]=1 where ordinateid = 47679;
-- move F 16.05 r072 to top level to fake being a wrong side child
UPDATE axisordinate SET ParentOrdinateID = NULL, path = '47680.',[level]=1 where ordinateid = 47680;

-- move F 16.01 r280 to top level to fake being a wrong side child
UPDATE axisordinate SET ParentOrdinateID = NULL, path = '48287.',[level]=1 where ordinateid = 48287;

-- move F 04.03.1 r190 to top level to fake being a wrong side child
UPDATE axisordinate SET ParentOrdinateID = NULL, path = '47210.',[level]=1 where ordinateid = 47210;
-- move F 04.04.1 r150 to top level to fake being a wrong side child
UPDATE axisordinate SET ParentOrdinateID = NULL, path = '47239.',[level]=1 where ordinateid = 47239;
-- move F 16.04.1 r100 to top level to fake being a wrong side child
UPDATE axisordinate SET ParentOrdinateID = NULL, path = '47678.',[level]=1 where ordinateid = 47678;

-- move F 02.00 r680 to top level to fake being a wrong side child
UPDATE axisordinate SET ParentOrdinateID = NULL, path = '52588.',[level]=1 where ordinateid = 52588;
-- move F 02.00 r690 to top level to fake being a wrong side child
UPDATE axisordinate SET ParentOrdinateID = NULL, path = '52589.',[level]=1 where ordinateid = 52589;


