BEGIN TRANSACTION;
----------------------------
--clone taxonomy RES 1.0.0
-----------------------------
UPDATE Taxonomy
 set ToDate = '2018-12-30 00:00:00',
FromDate = '2018-12-30 00:00:00' 
where TaxonomyID = 47; --close RES 1.0.0

UPDATE Concept 
 set ToDate = '2018-12-30 00:00:00',
FromDate = '2018-12-30 00:00:00',
modificationdate = '2018-07-31 00:00:00'
where ConceptID = 57503; --close RES 1.0.0

INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [ModificationDate], [FromDate], [ToDate])
Values (62553, 'Taxonomy', 1, '2018-07-31 00:00:00',NULL, '2018-12-31 00:00:00', NULL) ; 

INSERT INTO DpmPackage (DpmPackageCode)
Values ('2.8.1');

INSERT INTO [Taxonomy] ([TaxonomyID], [FrameworkID], [TaxonomyCode], [TaxonomyLabel], [TechnicalStandard], [NotionalPublicationDate], [ActualPublicationDate], [Version], [DpmPackageCode], [ConceptID], [FromDate], [ToDate])
VALUES (48,	7,	'RES 2.8.1','Resolution 1.0.1 (DPM 2.8.1)','CP-2017-15','2018-07-31 00:00:00','9999-12-30 00:00:00','1.0.1','2.8.1',62553,'2018-12-31 00:00:00',NULL); 

Insert Into TaxonomyHistory (TaxonomyID, IsVariantOf, Replaces)
Values (48,47,47);

--clone the table groups
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [ModificationDate], [FromDate], [ToDate])
Values (62554, 'TableGroup', 1, '2018-07-31 00:00:00',NULL, '2018-12-31 00:00:00', NULL); 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [ModificationDate], [FromDate], [ToDate])
Values (62555, 'TableGroup', 1, '2018-07-31 00:00:00',NULL, '2018-12-31 00:00:00', NULL); 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [ModificationDate], [FromDate], [ToDate])
Values (62556, 'TableGroup', 1, '2018-07-31 00:00:00',NULL, '2018-12-31 00:00:00', NULL); 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [ModificationDate], [FromDate], [ToDate])
Values (62557, 'TableGroup', 1, '2018-07-31 00:00:00',NULL, '2018-12-31 00:00:00', NULL); 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [ModificationDate], [FromDate], [ToDate])
Values (62558, 'TableGroup', 1, '2018-07-31 00:00:00',NULL, '2018-12-31 00:00:00', NULL); 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [ModificationDate], [FromDate], [ToDate])
Values (62559, 'TableGroup', 1, '2018-07-31 00:00:00',NULL, '2018-12-31 00:00:00', NULL); 

INSERT INTO TableGroup (tablegroupid, taxonomyid, tablegroupcode, tablegrouplabel, [order], conceptid)
VALUES (613+6, 48,'Resolution EBA - Critical Functions and Core Business Lines','Resolution EBA - Critical Functions and Core Business Lines',3,62554);
INSERT INTO TableGroup (tablegroupid, taxonomyid, tablegroupcode, tablegrouplabel, [order], conceptid)
VALUES (614+6,48,'Resolution EBA - Financial Information','Resolution EBA - Financial Information',	2,	62555);
INSERT INTO TableGroup (tablegroupid, taxonomyid, tablegroupcode, tablegrouplabel, [order], conceptid)
VALUES (615+6,48,'Resolution SRB - Detailed data','Resolution SRB - Detailed data',	6,	62556);
INSERT INTO TableGroup (tablegroupid, taxonomyid, tablegroupcode, tablegrouplabel, [order], conceptid)
VALUES (616+6	,48,'Resolution SRB - General Information','Resolution SRB - General Information',	4,	62557);
INSERT INTO TableGroup (tablegroupid, taxonomyid, tablegroupcode, tablegrouplabel, [order], conceptid)
VALUES (617+6	,48,'Resolution SRB - Roll-up data','Resolution SRB - Roll-up data',	5,	62558);
INSERT INTO TableGroup (tablegroupid, taxonomyid, tablegroupcode, tablegrouplabel, [order], conceptid)
VALUES (618+6,48,'Resolution EBA - General Information','Resolution EBA - General Information',	1,	62559);

--tablegrouptemplate
INSERT INTO [TableGroupTemplates] ([TableGroupID], [TemplateID], [order])
select tablegroupid+6 as tablegroupid, templateid, [order]
from tablegrouptemplates
where tablegroupid between 613 and 618;

--clone the taxonomy tableversion linking table
insert into taxonomytableversion (taxonomyid, tablevid, templateid, tablegroupid, issimplereuse)
select 48 as taxonomyid, tablevid, templateid, tablegroupid+6 as tablegroupid, true as issimplereuse 
from taxonomytableversion 
where taxonomyid = 47;

INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [ModificationDate], [FromDate], [ToDate])
Values (62560, 'Module', 1, '2018-07-31 00:00:00', NULL, '2018-12-31 00:00:00', NULL) ; 

INSERT INTO [Module] ([ModuleID], [TaxonomyID], [ModuleCode], [ModuleLabel], [XbrlSchemaRef], [ConceptualModuleID], [ConceptID])
VALUES (203, 48, 'RESOL','Resolution','http://www.eba.europa.eu/eu/fr/xbrl/crr/fws/res/cp-2017-15/2018-07-31/mod/resol.xsd',15,62560);

--Module Table Version - straight copy (for now)
INSERT INTO ModuleTableVersion (ModuleID, TableVID, IsSimpleReuse)
select 203, TableVId, true
From moduleTableVersion where moduleid =202;

--clone ModuleTableOrGroup
insert into moduletableorgroup (moduleid, [order],tablevid, tablegroupid)
select 203 as moduleid, [order], tablevid, tablegroupid+6 as tablegroupid
from moduletableOrgroup 
where moduleid = 202;

--clone mvCellLocation

INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel],  [TaxonomyCode],  [TaxonomyID], [ReplacesTaxonomyID])
select [CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], 'RES 2.8.1' as [TaxonomyCode], 48 as [TaxonomyID], 47 as [ReplacesTaxonomyID]
from mvCellLocation 
where taxonomyid = 47
order by cellid;

-------------------
-- Add new tableversion
------------------

--region TableVersion 
UPDATE [TableVersion] 
SET    [FromDate]='2018-12-30 00:00:00',
       [ToDate]='2018-12-30 00:00:00' 
WHERE  ([TableVersion].[TableVID] = 1442) ; 
UPDATE [Concept] 
SET    [ModificationDate]='2018-07-31 00:00:00',
       [FromDate]='2018-12-30 00:00:00',
       [ToDate]='2018-12-30 00:00:00' 
WHERE  ([Concept].[ConceptID] = 61541) ; 

INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62561, 'TableVersion', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 

INSERT INTO [TableVersion] ([TableVID], [TableID], [TableVersionCode], [TableVersionLabel], [XbrlFilingIndicatorCode], [XbrlTableCode], [FromDate], [ConceptID])
VALUES (1458, 471, 'T 03.01', 'Intragroup liabilities', 'T_03.01', 'T_03.01', '2018-12-31 00:00:00', 62561) ; 

--endregion TableVersion

--region TaxonomyTableVersion
INSERT INTO [TaxonomyTableVersion] ([TaxonomyID], [TableVID], [TemplateID], [TableGroupID], [IsSimpleReuse])
VALUES (48, 1458, 435, 621, 0) ; 

DELETE FROM [TaxonomyTableVersion] WHERE ([TaxonomyTableVersion].[TaxonomyID]=48 AND [TaxonomyTableVersion].[TableVID]=1442);

--endregion TaxonomyTableVersion

--region ModuleTableVersion
INSERT INTO [ModuleTableVersion] ([ModuleID], [TableVID], [IsSimpleReuse])
VALUES (203, 1458, 0) ; 

DELETE FROM [ModuleTableVersion] WHERE ([ModuleTableVersion].[ModuleID]=203 AND [ModuleTableVersion].[TableVID]=1442);

--endregion ModuleTableVersion

--region Concept

INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62562, 'Axis', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62563, 'Axis', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62564, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62565, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62566, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62567, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62568, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62569, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62570, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62571, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62572, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62573, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62574, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62575, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62576, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62577, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62578, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62579, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62580, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62581, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62582, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62583, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62584, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62585, 'Axis', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62586, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 
--endregion Concept

--region Axis
INSERT INTO [Axis] ([AxisID], [TableVID], [AxisOrientation], [IsOpenAxis], [ConceptID])
VALUES (3580, 1458, 'O', 0, 62562) ; 
INSERT INTO [Axis] ([AxisID], [TableVID], [AxisOrientation], [IsOpenAxis], [ConceptID])
VALUES (3581, 1458, 'X', 0, 62563) ; 
INSERT INTO [Axis] ([AxisID], [TableVID], [AxisOrientation], [AxisLabel], [IsOpenAxis], [ConceptID])
VALUES (3582, 1458, 'Y', 'Row ID (Intragroup liability)', 1, 62585) ; 
--endregion Axis

--region AxisOrdinate
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [DisplayBeforeChildren], [IsRowKey], [ConceptID])
VALUES (57740, 3581, 1, '0019', 'Reconciliation with aggregated data', 1019, 1, '57740.', 1, 0, 62565) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57741, 3581, 0, '0020', 'Line', 1020, 2, '57740.57741.', 57740, 1, 'ATY6432MCK1861', 0, 'na', 62566) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [DisplayBeforeChildren], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57742, 3581, 1, '0029', 'Intragroup liabilities', 1029, 1, '57742.', 1, 0, 'na', 62567) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57743, 3581, 0, '0030', 'Insolvency ranking', 1030, 2, '57742.57743.', 57742, 1, 'ATY6433BAS1514MCY1861RPR6314', 0, 'na', 62568) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57744, 3581, 0, '0040', 'Contract identifier', 1040, 2, '57742.57744.', 57742, 1, 'ATY6434BAS1514MCY1861RPR6314', 0, 'na', 62569) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57745, 3581, 0, '0050', 'LEI/MFI/Internal identifier of lending entity', 1050, 2, '57742.57745.', 57742, 1, 'ATY3193MCK1861ROL6446RPR6314', 0, 'na', 62570) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57746, 3581, 0, '0060', 'Governing law', 1060, 2, '57742.57746.', 57742, 1, 'ATY6435BAS1514MCY1861RPR6314', 0, 'na', 62571) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57747, 3581, 0, '0070', 'If third country, contractual recognition', 1070, 2, '57742.57747.', 57742, 1, 'ATY6436BAS1514MCY1861RPR6314', 0, 'na', 62572) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57750, 3581, 0, '0100', 'Currency', 1100, 2, '57742.57750.', 57742, 1, 'ATY6439BAS1514MCY1861RPR6314', 0, 'na', 62575) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57748, 3581, 0, '0080', 'Outstanding principal amount', 1080, 2, '57742.57748.', 57742, 1, 'ATY6437BAS1514MCY1861RPR6314', 0, 'Positive', 62573) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57749, 3581, 0, '0090', 'Accrued interest', 1090, 2, '57742.57749.', 57742, 1, 'ATY6438BAS1514MCY1861RPR6314', 0, 'BOTH', 62574) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57751, 3581, 0, '0110', 'Issuance date', 1110, 2, '57742.57751.', 57742, 1, 'ATY6440BAS1514MCY1861RPR6314', 0, 'na', 62576) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57752, 3581, 0, '0120', 'Earliest redemption date', 1120, 2, '57742.57752.', 57742, 1, 'ATY6441BAS1514MCY1861RPR6314', 0, 'na', 62577) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57753, 3581, 0, '0130', 'Legal maturity', 1130, 2, '57742.57753.', 57742, 1, 'ATY1314BAS1514MCY1861RPR6314', 0, 'na', 62578) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57754, 3581, 0, '0140', 'Secured/unsecured', 1140, 2, '57742.57754.', 57742, 1, 'ATY6442BAS1514MCY1861RPR6314', 0, 'na', 62579) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57755, 3581, 0, '0150', 'Amount of pledge, lien or collateral', 1150, 2, '57742.57755.', 57742, 1, 'ATY1177MCJ1861MCY6445', 0, 'Positive', 62580) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57756, 3581, 0, '0160', 'Guarantor if applicable', 1160, 2, '57742.57756.', 57742, 1, 'ATY3193MCK1861ROL6447', 0, 'na', 62581) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57757, 3581, 0, '0170', 'Structured or other Non-Standard Terms', 1170, 2, '57742.57757.', 57742, 1, 'ATY6443BAS1514MCY1861RPR6314', 0, 'na', 62582) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57758, 3581, 0, '0180', 'Qualifying as own funds', 1180, 2, '57742.57758.', 57742, 1, 'ATY6444BAS1514MCY1861RPR6314', 0, 'na', 62583) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57759, 3581, 0, '0190', 'Amount Included in own funds, taking into account phase-out as applicable', 1190, 2, '57742.57759.', 57742, 1, 'ATY1202BAS1517MCK1861MCY2312OFS1561', 0, 'Positive', 62584) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57739, 3581, 0, '0010', 'Number', 1010, 1, '57739.', 1, 'IDL999', 1, 'Positive', 62564) ; 
INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [ConceptID])
VALUES (57760, 3582, 0, '999 ', 'Row ID (Intragroup liability)', 999, 1, '57760.', 1, 'IDL999', 0, 62586) ; 
--endregion AxisOrdinate

--region TableCell

INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [CellCode])
VALUES (2791559, 1458, 0, '{T 03.01, r999, c0010}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [CellCode])
VALUES (2791560, 1458, 1, '{T 03.01, r999, c0019}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791561, 1458, 0, 418071, '{T 03.01, r999, c0020}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [CellCode])
VALUES (2791562, 1458, 1, '{T 03.01, r999, c0029}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791563, 1458, 0, 418077, '{T 03.01, r999, c0030}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791564, 1458, 0, 418084, '{T 03.01, r999, c0040}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791565, 1458, 0, 410400, '{T 03.01, r999, c0050}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791566, 1458, 0, 418090, '{T 03.01, r999, c0060}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791567, 1458, 0, 418097, '{T 03.01, r999, c0070}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791568, 1458, 0, 418101, '{T 03.01, r999, c0080}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791569, 1458, 0, 418105, '{T 03.01, r999, c0090}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791570, 1458, 0, 418108, '{T 03.01, r999, c0100}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791571, 1458, 0, 418112, '{T 03.01, r999, c0110}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791572, 1458, 0, 418116, '{T 03.01, r999, c0120}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791573, 1458, 0, 410216, '{T 03.01, r999, c0130}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791574, 1458, 0, 418120, '{T 03.01, r999, c0140}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791575, 1458, 0, 410142, '{T 03.01, r999, c0150}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791576, 1458, 0, 410401, '{T 03.01, r999, c0160}') ; 

INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791577, 1458, 0, 418124, '{T 03.01, r999, c0170}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791578, 1458, 0, 418127, '{T 03.01, r999, c0180}') ; 
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791579, 1458, 0, 410199, '{T 03.01, r999, c0190}') ; 

--endregion TableCell

--region CellPosition

INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791559, 57739) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791559, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791560, 57740) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791560, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791561, 57741) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791561, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791562, 57742) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791562, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791563, 57743) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791563, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791564, 57744) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791564, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791565, 57745) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791565, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791566, 57746) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791566, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791567, 57747) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791567, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791568, 57748) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791568, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791569, 57749) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791569, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791570, 57750) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791570, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791571, 57751) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791571, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791572, 57752) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791572, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791573, 57753) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791573, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791574, 57754) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791574, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791575, 57755) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791575, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791576, 57756) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791576, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791577, 57757) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791577, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791578, 57758) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791578, 57760) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791579, 57759) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791579, 57760) ; 

--endregion CellPosition

--region OrdinateCategorisation

INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57739, 400, 999) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57741, 100, 6432) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57741, 265, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57743, 100, 6433) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57743, 110, 1514) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57743, 120, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57743, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57744, 100, 6434) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57744, 110, 1514) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57744, 120, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57744, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57745, 100, 3193) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57745, 265, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57745, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57745, 925, 6446) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57746, 100, 6435) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57746, 110, 1514) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57746, 120, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57746, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57747, 100, 6436) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57747, 110, 1514) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57747, 120, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57747, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57748, 100, 6437) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57748, 110, 1514) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57748, 120, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57748, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57749, 100, 6438) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57749, 110, 1514) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57749, 120, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57749, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57750, 100, 6439) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57750, 110, 1514) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57750, 120, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57750, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57751, 100, 6440) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57751, 110, 1514) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57751, 120, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57751, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57752, 100, 6441) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57752, 110, 1514) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57752, 120, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57752, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57753, 100, 1314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57753, 110, 1514) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57753, 120, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57753, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57754, 100, 6442) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57754, 110, 1514) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57754, 120, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57754, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57755, 100, 1177) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57755, 120, 6445) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57755, 245, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57756, 100, 3193) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57756, 265, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57756, 925, 6447) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57757, 100, 6443) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57757, 110, 1514) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57757, 120, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57757, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57758, 100, 6444) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57758, 110, 1514) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57758, 120, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57758, 525, 6314) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57759, 100, 1202) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57759, 110, 1517) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57759, 120, 2312) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57759, 140, 1561) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57759, 265, 1861) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57760, 400, 999) ; 

--endregion OrdinateCategorisation

--region mvCellLocation

INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791559, '{T 03.01, r999, c0010}', 'T 03.01', '999', '0010', '000', 0, 1, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791560, '{T 03.01, r999, c0019}', 'T 03.01', '999', '0019', '000', 1, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791561, '{T 03.01, r999, c0020}', 'T 03.01', '999', '0020', '000', 418071, 418071, 6432, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791562, '{T 03.01, r999, c0029}', 'T 03.01', '999', '0029', '000', 1, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791563, '{T 03.01, r999, c0030}', 'T 03.01', '999', '0030', '000', 418077, 418077, 6433, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791564, '{T 03.01, r999, c0040}', 'T 03.01', '999', '0040', '000', 418084, 418084, 6434, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791565, '{T 03.01, r999, c0050}', 'T 03.01', '999', '0050', '000', 410400, 410400, 3193, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791566, '{T 03.01, r999, c0060}', 'T 03.01', '999', '0060', '000', 418090, 418090, 6435, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791567, '{T 03.01, r999, c0070}', 'T 03.01', '999', '0070', '000', 418097, 418097, 6436, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791568, '{T 03.01, r999, c0080}', 'T 03.01', '999', '0080', '000', 418101, 418101, 6437, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791569, '{T 03.01, r999, c0090}', 'T 03.01', '999', '0090', '000', 418105, 418105, 6438, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791570, '{T 03.01, r999, c0100}', 'T 03.01', '999', '0100', '000', 418108, 418108, 6439, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791571, '{T 03.01, r999, c0110}', 'T 03.01', '999', '0110', '000', 418112, 418112, 6440, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791572, '{T 03.01, r999, c0120}', 'T 03.01', '999', '0120', '000', 418116, 418116, 6441, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791573, '{T 03.01, r999, c0130}', 'T 03.01', '999', '0130', '000', 410216, 410216, 1314, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791574, '{T 03.01, r999, c0140}', 'T 03.01', '999', '0140', '000', 418120, 418120, 6442, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791575, '{T 03.01, r999, c0150}', 'T 03.01', '999', '0150', '000', 410142, 410142, 1177, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791576, '{T 03.01, r999, c0160}', 'T 03.01', '999', '0160', '000', 410401, 410401, 3193, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791577, '{T 03.01, r999, c0170}', 'T 03.01', '999', '0170', '000', 418124, 418124, 6443, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791578, '{T 03.01, r999, c0180}', 'T 03.01', '999', '0180', '000', 418127, 418127, 6444, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791579, '{T 03.01, r999, c0190}', 'T 03.01', '999', '0190', '000', 410199, 410199, 1202, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790049 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790048 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790047 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790046 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790045 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790044 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790043 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790042 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790041 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790040 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790039 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790038 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790037 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790036 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790035 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790034 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790033 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790032 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790031 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790030 AND [mvCellLocation].[TaxonomyID]=48);
DELETE FROM [mvCellLocation] WHERE ([mvCellLocation].[CellID]=2790029 AND [mvCellLocation].[TaxonomyID]=48);

--endregion mvCellLocation
COMMIT TRANSACTION;

BEGIN TRANSACTION;
-------------------
-- Add new ordinate to this tableversion
------------------

INSERT INTO [Concept] ([ConceptID], [ConceptType], [OwnerID], [CreationDate], [FromDate])
VALUES (62587, 'AxisOrdinate', 1, '2018-07-31 00:00:00', '2018-12-31 00:00:00') ; 

INSERT INTO [AxisOrdinate] ([OrdinateID], [AxisID], [IsAbstractHeader], [OrdinateCode], [OrdinateLabel], [Order], [Level], [Path], [ParentOrdinateID], [DisplayBeforeChildren], [CategorisationKey], [IsRowKey], [RequiredDataSign], [ConceptID])
VALUES (57761, 3581, 0, '0021', 'Column', 1021, 2, '57740.57761.', 57740, 1, 'ATY6453MCK1861', 0, 'na', 62587) ; 

INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57761, 100, 6453) ; 
INSERT INTO [OrdinateCategorisation] ([OrdinateID], [DimensionID], [MemberID])
VALUES (57761, 265, 1861) ; 

--datapoint
INSERT INTO [DataPoint] ([DataPointID], [PeriodOffsetID], [RelatedDataPointID], [IsNew])
VALUES (418165, null, null, true) ; 

INSERT INTO [DataPointVersion] ([DataPointVID], [DataPointID], [MetricID], [ContextID], [FromDate], [ToDate], [CategorisationKey], [CategorisationKeyWithoutDefaults])
VALUES (418165, 418165, 6453, 645871,'2018-12-31 00:00:00', null, 'ATY6453IDL999MCK1861', 'ATY6453IDL999MCK1861') ;
 
--table cell
INSERT INTO [TableCell] ([CellID], [TableVID], [IsShaded], [DataPointVID], [CellCode])
VALUES (2791580, 1458, 0, 418165, '{T 03.01, r999, c0021}') ; 

INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791580, 57761) ; 
INSERT INTO [CellPosition] ([CellID], [OrdinateID])
VALUES (2791580, 57760) ; 

INSERT INTO [mvCellLocation] ([CellID], [CellCode], [TableVersionCode], [RowCode], [ColumnCode], [SheetCode], [DataPointVID], [DataPointID], [MetricID], [IsShaded], [IsRowKey], [TableVID], [TableID], [TableVersionLabel], [TaxonomyCode], [TaxonomyID], [ReplacesTaxonomyID])
VALUES (2791580, '{T 03.01, r999, c0021}', 'T 03.01', '999', '0021', '000', 418165, 418165, 6453, 0, 0, 1458, 471, 'Intragroup liabilities', 'RES 2.8.1', 48, 47) ; 

INSERT INTO [zzTableChanges] ([ID], [TableCode], [ComponentTypeName], [ComponentCode], [ComponentLabel], [HeaderFlag], [Level], [Change], [LastChangedIn])
VALUES (23963, 'T 03.01', 'Table column', '0021', 'Column', 0, 2, 'Add', 'RES 2.8.1') ; 

COMMIT TRANSACTION;

INSERT INTO [aaDatabaseVersionHistory] ([EventDate], [Event], [Explicitly Published], [Details])
VALUES ('2018-07-31 00:00:00', '2.8.1.1', 1, '2.8 corrective release. Various corrections and add column 0021 to Resolution T 03.01.'); 